#include <iostream>
using namespace std;

int main()
{
    int n,l;
    cin >> n >> l;
    int h[n];
    for(int i = 0; i < n; i++)
    {
        cin >> h[i];
    }
    bool t = true;
    int i = 0;
    while(i < n && t)
    {
        if(l >= h[i])
        {
            cout << i + 1;
            t = false;
        }
        i++;
    }
    if(t)
    {
        cout << "-1";
    }


}